Bug 1663165 - Sagemath lack jupyter integration
Summary: Sagemath lack jupyter integration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sagemath
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 10:56 UTC by Klaus Pedersen
Modified: 2019-01-28 03:44 UTC (History)
1 user (show)

Fixed In Version: sagemath-8.3-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-28 03:44:31 UTC


Attachments (Terms of Use)
sagemath-jupyter kernel (10.00 KB, text/plain)
2019-01-03 11:00 UTC, Klaus Pedersen
no flags Details

Description Klaus Pedersen 2019-01-03 10:56:39 UTC
Description of problem:

sagemath's classic notebook doens't work in Fedora 29 (bug 1640890), so after
finally convincing sagemath to export my old documents in the form of
Jupyter based notebooks (bug 1663158), i had hope that I could finally get
back to my work.

Unfortunately the Sagemath Jupyter kernel is missing.


Version-Release number of selected component (if applicable):

sagemath.x86_64                        8.3-1.fc29
sagemath-jupyter.noarch                N/A


How reproducible:

Every time.


Steps to Reproduce:
1. Install sagemath and all missing dependencies (bugs 1464520, 1636759, 1657825)
2. Then try to launch sage: "sage -n jupyter"
3. Notice a jupyter shell start in the browser, but only Python2 and Python3 is available in the 'kernel' drop down.


Actual results:
The Sagemath kernel is not available in the newly launched Jupuyter shell. Only standard kernels like Python2 and Python3 are available.



Additional info:
Arch-linux and debian have an additional package that provide the Sagemath Jupyter kernel: sagemath-jupyter.noarch
That package is not available in Fedora and the files it provide is not available in other packages:

> dnf provides /usr/share/jupyter/kernels/sagemath
> dnf provides /usr/share/jupyter/kernels/sagemath/kernel.json

return nothing.

Comment 1 Klaus Pedersen 2019-01-03 11:00:54 UTC
Created attachment 1518126 [details]
sagemath-jupyter kernel

With the attached tar file, that contains the 3 required symbolic links and a small "sagemath/kernel.json" file, it is possible to launch sagemath in the
new jupyter based notebook.

Please consider packaging something like this.

Comment 2 Klaus Pedersen 2019-01-19 10:54:18 UTC
@Paulo Andrade, Ping?

Do you have any plan to add the kernel so Sage can be launched in Jupyter?

Comment 3 Fedora Update System 2019-01-19 21:23:46 UTC
sagemath-8.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f51ce43c89

Comment 4 Fedora Update System 2019-01-20 02:33:59 UTC
sagemath-8.3-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f51ce43c89

Comment 5 Fedora Update System 2019-01-28 03:44:31 UTC
sagemath-8.3-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.